## About dn42

dn42 is a big dynamic VPN network, which employs Internet technologies ([BGP](http://en.wikipedia.org/wiki/Bgp), whois database, DNS, etc).  Participants connect to each other using network tunnels ([GRE](http://en.wikipedia.org/wiki/Generic_Routing_Encapsulation), [OpenVPN](http://en.wikipedia.org/wiki/Openvpn), [Tinc](http://tinc-vpn.org/), IPsec), and exchange routes thanks to the Border Gateway Protocol.  Network addresses are assigned in the 172.22.0.0/15 range, and private AS numbers are used: see [registry](Services-Whois).  See the [About](About) page for more information.

A number of services are provided on the network: see [internal](internal) (only available from within dn42).  Also, dn42 is interconnected with other networks, such as [ChaosVPN](http://wiki.hamburg.ccc.de/ChaosVPN) or some Freifunk networks.

## About this wiki

This wiki is the main reference about dn42.  It is available in read-only mode [from the Internet](https://dn42.net), and for editing from within dn42, at [http://internal.dn42](http://internal.dn42).

A [copy of the old wiki](http://dn42.volcanis.me/initenv.1.html) is available for reference, but **beware**, most of the information there is outdated.

## Contact

### Mailing list

* is at: dn42 /at/ lists.spaceboyz.net,
* send a mail to dn42-subscribe /at/ lists.spaceboyz.net to subscribe
* has [archive](http://lists.spaceboyz.net/pipermail/dn42/)
* can be accessed via [NNTP](/Services-News) as well. The group is alt.net.dn42.users

### IRC

* #dn42 in [hackint](http://www.hackint.eu/)

## Network
### Looking glass
* AS76103: [lg.nixnodes.net](http://lg.nixnodes.net/)
* AS64692: [zeus.nihilus.dn42/dn42/routes.cgi](http://zeus.nihilus.dn42/dn42/routes.cgi)

### Network maps
* [dn42.smrsh.net/routes/d3js.html](http://dn42.smrsh.net/routes/d3js.html)
* [map.nixnodes.net](http://map.nixnodes.net)

## Participant Groups

* [SpaceBoyz](http://spaceboyz.net)
* [planet cyborg](http://planetcyborg.de)
  * [mw](http://mw.vc)
* [CCC Bremen](http://ccchb.de)
* [CCC Dresden](http://c3d2.de)
* [CCC Düsseldorf](https://www.chaosdorf.de)
* [CCC Munich](https://www.muc.ccc.de)
* [!eof](https://eof.name)
* [freifunk](http://freifunk.net)
* [NoName e.V. Heidelberg](https://www.noname-ev.de)
* [raumzeitlabor/hackerspace rhein-neckar](http://www.raumzeitlabor.de)
* [Freifunk Aurich](http://www.freifunk-aurich.de)
* [Cyberpipe](http://kiberpipa.net)
* [Hackerspace Brussels (HSB)](http://hackerspace.be)
* [Whitespace (0x20)](http://www.0x20.be)
* [AnoNet](http://www.anonet2.org)
* [Revelation Space](http://www.revspace.nl)
* [SNE group](https://www.os3.nl)
* [Wolfplex](http://www.wolfplex.org)
* [smrsh](http://www.smrsh.net)
* [Hackspace Jena e.V.](https://www.hackspace-jena.de)